import { ZIMCacheConfig, ZIMGeofencingType, ZIMLogConfig } from '../ZIMDefines';
import { ZIMEngine } from './ZIMEngine';
export declare class ZIMManager {
    private static instance;
    static engineMap: Map<string, ZIMEngine>;
    private handle;
    static getInstance(): ZIMManager;
    getVersion(): Promise<string>;
    createEngine(appID: number, appSign: string): ZIMEngine | null;
    destroyEngine(engine: ZIMEngine): void;
    setLogConfig(config: ZIMLogConfig): void;
    setCacheConfig(config: ZIMCacheConfig): void;
    setAdvancedConfig(key: string, value: string): void;
    setGeofencingConfig(areaList: number[], type: ZIMGeofencingType): Promise<boolean>;
}
